View Issue Details

IDProjectCategoryView StatusLast Update
0025679mantisbtuipublic2019-04-21 02:53
ReporterdregadAssigned Todregad 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version2.0.0 
Target Version2.21.0Fixed in Version2.21.0 
Summary0025679: Uneven distribution of boxes on My View page when Timeline is OFF
Description

Depending on user privileges, the code that displays boxes on My View page does not spread them evenly between the 2 columns.

See attached screenshot for example.

Steps To Reproduce

Set config_inc.php as follows, and login as anonymous user

$g_my_view_boxes = array(
    'assigned'      => '1',
    'unassigned'    => '2',
    'reported'      => '3',
    'resolved'      => '4',
    'recent_mod'    => '5',
    'monitored'     => '6',
    'feedback'      => '7',
    'verify'        => '0',
    'my_comments'   => '8'
);
TagsNo tags attached.

Relationships

related to 0022104 closeddregad My View Page layout misses some boxes 

Activities

Related Changesets

MantisBT: master bc2ab699

2019-04-04 12:46:48

dregad

Details Diff
Remove hidden My View boxes before displaying them

Prior to this, the hiding and display of boxes was performed within a
single foreach loop. As a consequence, depending on system configuration
and for low-privileged users, there could be an uneven distribution of
boxes between the 2 columns when Timeline is switched off.

To fix this issue, the processing of boxes is now done in 2 steps :
1. Filtering boxes
2. Display

Fixes 0025679
Affected Issues
0025679
mod - my_view_page.php Diff File

MantisBT: master 5ad064d8

2019-04-11 09:36:26

dregad

Details Diff
Fixes for "My View" boxes display

Addresses the following issues:

- 0022104 My View Page layout misses some boxes
- 0023418 Plugin tab in Summary section not highlighted when selected
- 0025679 Uneven distribution of boxes on My View page when Timeline is OFF

Plus some minor code cleanup.

Fixes 0022104, 0023418, 0025679
PR https://github.com/mantisbt/mantisbt/pull/1497
Affected Issues
0022104, 0023418, 0025679
mod - config_defaults_inc.php Diff File
mod - core/obsolete.php Diff File
mod - my_view_page.php Diff File

Issue History

Date Modified Username Field Change
2019-04-04 12:14 dregad New Issue
2019-04-04 12:14 dregad Status new => assigned
2019-04-04 12:14 dregad Assigned To => dregad
2019-04-04 12:14 dregad File Added: my-view-uneven-distribution-of-boxes.png
2019-04-04 12:15 dregad Relationship added related to 0022104
2019-04-04 13:09 dregad Note Added: 0061829
2019-04-11 09:39 dregad Changeset attached => MantisBT master bc2ab699
2019-04-11 09:39 dregad Changeset attached => MantisBT master 5ad064d8
2019-04-11 09:39 dregad Status assigned => resolved
2019-04-11 09:39 dregad Resolution open => fixed
2019-04-11 09:39 dregad Fixed in Version => 2.21.0
2019-04-21 02:53 vboctor Status resolved => closed